
QGIS Application - Bug report #7914

Diagrams should use Column names instead of Column number

2013-05-27 03:11 AM - Hien TRAN-QUANG

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16786

Description

In master, I made a layer with diagrams, with fields A,B,C

For some reasons, I added some columns in my table I recreated from scratch (via pgscript), with fields A,A1,A2,B,B1,B2,C,C1,C2

The resulting diagrams use A, A1, A2 fields. So it seems that column numbers are used instead of names.

Associated revisions

Revision cad339d3 - 2013-05-28 12:03 PM - Matthias Kuhn

[diagrams] save attribute names instead of indices (fix #7914)

History

#1 - 2013-05-27 06:53 AM - Salvatore Larosa

- Priority changed from Normal to Severe/Regression

#2 - 2013-05-28 03:04 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"cad339d3cfde3c89e21d67d25222c6e26655d502".

#3 - 2013-05-28 03:18 AM - Matthias Kuhn

Not sure if it really solves your case. A real solution would require refactoring quite a couple of classes.
